#
# spec file for package vkeybd (Version 0.1.10a)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel tcl tcl-devel tk xf86
# usedforbuild    aaa_base aaa_dir alsa alsa-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone tk unzip util-linux vim xdevel xf86 xshared

Name:         vkeybd
Summary:      Vkeybd - virtual keyboard instrument
Version:      0.1.10a
Release:      49
Copyright: GPL
Group: Applications/Sound
BuildRoot: /tmp/vkeybd-%{version}-root
URL: http//members.tripod.de/iwai/awedrv.html
Source: vkeybd-%{version}.tar.bz2

%description
Vkeybd is a virtual keyboard (as the meaning of musical instrument)
for AWE32/64, raw MIDI and ALSA sequencer drivers.  It's written in
Tcl/Tk.  Enjoy playing a music with your "computer" keyboard :-)

Authors:
--------
    Takashi Iwai <tiwai@suse.de>

SuSE series: snd

%prep
%setup -n vkeybd

%build
make PREFIX=%{_prefix}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make PREFIX="$RPM_BUILD_ROOT"%{_prefix} install
make MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man1 install-man

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/*
%{_datadir}/vkeybd
%doc %{_mandir}/man1/*
%doc README

%changelog -n vkeybd
* Tue Jul 24 2001 - tiwai@suse.de
- updated to ver.0.1.10a.
  ALSA 0.9.x API is supported.
* Fri Jul 13 2001 - grimmer@suse.de
- Fixed file list (using wildcards for man pages)
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Tue Nov 28 2000 - tiwai@suse.de
- Fixed title bar on alsa device mode.
- Added a hack to avoid kernel oops on alsa device mode.
* Mon Nov 20 2000 - tiwai@suse.de
- Updated to ver.0.1.9.
- Added --octave and --name options.
* Fri Nov 17 2000 - tiwai@suse.de
- Fixed window title.
* Thu Nov 02 2000 - tiwai@suse.de
- Fixed typo.
* Thu Nov 02 2000 - tiwai@suse.de
- Fixed spec file for long package-name support.
* Fri Oct 13 2000 - tiwai@suse.de
- Updated to 0.1.8
* Tue Sep 26 2000 - tiwai@suse.de
- Changed to bzip2
* Tue Jul 11 2000 - tiwai@suse.de
- First version: 0.1.7c
